sky2 gigabit ethernet driver sometimes stops working after lid-open resume from sleep (88E8055)

Bug #1758507 reported by mlx on 2018-03-24
28
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Kai-Heng Feng
Xenial
Medium
Unassigned
Artful
Medium
Unassigned
Bionic
Medium
Kai-Heng Feng

Bug Description

===SRU Justification===
[Impact]
sky2 ethernet stops working after system resume from suspend.

[Fix]
Increase the PCI D3 delay can workaround the issue.

[Test]
User responded that the D3 delay increase can solve the issue.

[Regression Potential]
Low. It only affects one device. The fix only increase the delay timer,
without any functional change.

===Original Bug Report===
After resuming from sleep using the lid-open event, OFTEN (60% replicable, usually after 2nd or later resume) the NIC is not functional, and reloading the sky2 module does not help. Relevant parts from dmesg:

[ 582.852065] sky2 0000:04:00.0: Refused to change power state, currently in D3
...<after another suspend-resume>
[ 827.613729] sky2 0000:04:00.0: ignoring stuck error report bit
[ 827.613748] sky2 0000:04:00.0: enp4s0: phy I/O error
[ 827.613750] sky2 0000:04:00.0: enp4s0: phy I/O error
[ 827.613752] sky2 0000:04:00.0: enp4s0: phy I/O error
[ 827.613754] sky2 0000:04:00.0: enp4s0: phy I/O error
[ 827.613756] sky2 0000:04:00.0: enp4s0: phy I/O error
[ 827.613759] sky2 0000:04:00.0: enp4s0: phy I/O error
[ 827.613761] sky2 0000:04:00.0: enp4s0: phy I/O error
[ 827.613763] sky2 0000:04:00.0: enp4s0: phy I/O error
[ 827.613765] sky2 0000:04:00.0: enp4s0: phy I/O error
[ 827.613767] sky2 0000:04:00.0: enp4s0: phy I/O error
[ 827.613769] sky2 0000:04:00.0: enp4s0: phy I/O error
[ 827.613772] sky2 0000:04:00.0: enp4s0: phy I/O error
[ 827.613774] sky2 0000:04:00.0: enp4s0: phy I/O error
[ 827.613776] sky2 0000:04:00.0: enp4s0: phy I/O error
[ 827.613778] sky2 0000:04:00.0: enp4s0: phy I/O error
[ 827.613780] sky2 0000:04:00.0: enp4s0: phy I/O error
[ 827.613782] sky2 0000:04:00.0: enp4s0: phy I/O error

And after reloading the module:
[ 1421.781480] sky2: driver version 1.30
[ 1421.781533] sky2 0000:04:00.0: enabling device (0000 -> 0003)
[ 1421.781667] sky2 0000:04:00.0: unsupported chip type 0xff
[ 1421.782292] sky2: probe of 0000:04:00.0 failed with error -95

Possibly relevant:
[ 1235.944086] ACPI: button: The lid device is not compliant to SW_LID.

Replicability: When it happens once, further suspend-resume cycles (tried ~5) don't fix it. Reboot fixes the NIC, and it often survives first resume after that, but 1-2 suspend-resume cycles later the issue WILL occur again.
Per-boot chance of encountering the issue - so far 2/5.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: linux-image-4.15.0-12-generic 4.15.0-12.13
ProcVersionSignature: Ubuntu 4.15.0-12.13-generic 4.15.7
Uname: Linux 4.15.0-12-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version k4.15.0-12-generic.
AplayDevices: Error: [Errno 2] No such file or directory: 'aplay': 'aplay'
ApportVersion: 2.20.8-0ubuntu10
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory: 'arecord': 'arecord'
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/by-path', '/dev/snd/hwC0D0', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/controlC0', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
Card0.Amixer.info: Error: [Errno 2] No such file or directory: 'amixer': 'amixer'
Card0.Amixer.values: Error: [Errno 2] No such file or directory: 'amixer': 'amixer'
Date: Sat Mar 24 09:54:10 2018
HibernationDevice: RESUME=UUID=02d18685-fc92-4ebe-a43e-34d1e52a26b1
InstallationDate: Installed on 2018-03-21 (3 days ago)
InstallationMedia: Ubuntu-Server 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180319)
IwConfig: Error: [Errno 2] No such file or directory: 'iwconfig': 'iwconfig'
MachineType: FUJITSU SIEMENS ESPRIMO Mobile U9200
ProcEnviron:
 LANGUAGE=en_US:en
 TERM=linux
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-12-generic root=UUID=bc171dce-b703-44f6-8244-22b6b3b1dc33 ro video=SVIDEO-1:d consoleblank=300
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-12-generic N/A
 linux-backports-modules-4.15.0-12-generic N/A
 linux-firmware 1.173
RfKill: Error: [Errno 2] No such file or directory: 'rfkill': 'rfkill'
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/22/2008
dmi.bios.vendor: Phoenix
dmi.bios.version: 1.11 - 067 - 1566
dmi.board.name: S11D
dmi.board.vendor: FUJITSU SIEMENS
dmi.board.version: 1.0
dmi.chassis.asset.tag: FSC
dmi.chassis.type: 10
dmi.chassis.vendor: FUJITSU SIEMENS
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnPhoenix:bvr1.11-067-1566:bd04/22/2008:svnFUJITSUSIEMENS:pnESPRIMOMobileU9200:pvr1.0:rvnFUJITSUSIEMENS:rnS11D:rvr1.0:cvnFUJITSUSIEMENS:ct10:cvr1.0:
dmi.product.name: ESPRIMO Mobile U9200
dmi.product.version: 1.0
dmi.sys.vendor: FUJITSU SIEMENS

mlx (myxal-mxl) wrote :
description: updated
mlx (myxal-mxl) on 2018-03-24
description: updated

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
mlx (myxal-mxl) on 2018-03-24
summary: - sky2 gigabit ethernet driver stops working after resume from sleep
- (88E8055)
+ sky2 gigabit ethernet driver sometimes stops working after resume from
+ sleep (88E8055)

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.16 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.16-rc7

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
mlx (myxal-mxl) wrote :

Hi, I have not been keeping up with ubuntu - before 18.04, I've been using only 16.10 to the extent where this issue would show up, and it didn't appear in that release (I would suspend and resume the machine at least twice a week).
I would also point out, that I've seen identical symptoms ("Refused to change power state") way back in Linux 3.2 in Ubuntu 12.04, see Ubuntu bug 1007841

In the meantime, I've also noticed a situation (with stock 18.04 kernel) where the NIC would fail after 2nd resume or later - but, see below...

As for 4.16-rc7: I've tried 5 boots with 3 suspends each, and while none of them failed after 1st resume, 4 failed after 2nd or 3rd resume.

I'm watching for something else now with 4.16-rc7 - it seems the bug is triggered only when the machine is waken up by the lid-open event (about 60% failure rate - and I think all of the successful resumes were 1st resumes after reboot). 0% replication when waking up by power button.

I will update repro steps with this info.

summary: - sky2 gigabit ethernet driver sometimes stops working after resume from
- sleep (88E8055)
+ sky2 gigabit ethernet driver sometimes stops working after lid-open
+ resume from sleep (88E8055)
description: updated
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
mlx (myxal-mxl) on 2018-03-29
description: updated
mlx (myxal-mxl) on 2018-03-29
description: updated
mlx (myxal-mxl) on 2018-03-29
description: updated
mlx (myxal-mxl) wrote :

Well this is odd... I tried following the instructions on PM tracing from https://wiki.ubuntu.com/DebuggingKernelSuspend (using systemctl suspend instead of pm-suspend), but the system hangs on resume when tracing is enabled - and this happens also when pm_test is set to "devices" (doesn't happen with "freezer").

There is no hang when tracing full suspend on 4.8.0.

mlx (myxal-mxl) wrote :

Thanks, that appears to have fixed the issue. The lid device non-compliance message persists, but subsequent resumes by lid (tried 4) don't kill the NIC anymore.

Kai-Heng Feng (kaihengfeng) wrote :

I increased the d3_delay from 150 to 500 to solve the issue.
Can you try if 200 also work for you?

https://people.canonical.com/~khfeng/lp1758507-200/

mlx (myxal-mxl) wrote :

Yes, the 200 variant also works (3 boots with 3 resumes).
The first boot produced this new warning, but subsequent were OK:

[ 64.072147] ------------[ cut here ]------------
[ 64.072149] Delta way too big! 18446743987613365433 ts=18446744047041339774 write stamp = 59427974341
               If you just came from a suspend/resume,
               please switch to the trace global clock:
                 echo global > /sys/kernel/debug/tracing/trace_clock
...
[ 64.072244] Call Trace:
[ 64.072248] ring_buffer_lock_reserve+0x137/0x350
[ 64.072253] trace_event_buffer_lock_reserve+0x6c/0x110
[ 64.072256] trace_event_buffer_reserve+0x62/0x80
[ 64.072260] trace_event_raw_event_do_sys_open+0x81/0x130
[ 64.072262] do_sys_open+0x260/0x290
[ 64.072264] SyS_openat+0x14/0x20
[ 64.072268] do_syscall_64+0x73/0x130
[ 64.072271] entry_SYSCALL_64_after_hwframe+0x3d/0xa2
...
[ 64.072316] ---[ end trace 41d884fa46b78bbb ]---

Kai-Heng Feng (kaihengfeng) wrote :

It's a warning about the clock, not really related to sky2. I'll send a patch to fix your sky2 issue.

Changed in linux (Ubuntu):
assignee: nobody → Kai-Heng Feng (kaihengfeng)
description: updated
xHire (xhire) wrote :

Thank you for the patch! This was a really unpleasant issue so I’m very happy to have it fixed. Nonetheless, the value 200 wasn’t sufficient for me, but 500 works perfectly so far. I’ll test lower values later, but it will take me some time.

Kai-Heng Feng (kaihengfeng) wrote :

Do you use the same model as the original bug reporter?

I'll wait for your result and sent a patch to update the delay value.

Changed in linux (Ubuntu Bionic):
status: Confirmed → Fix Committed
Stefan Bader (smb) on 2018-04-20
Changed in linux (Ubuntu Artful):
importance: Undecided → Medium
status: New → In Progress
Stefan Bader (smb) on 2018-04-20
Changed in linux (Ubuntu Artful):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (35.7 KiB)

This bug was fixed in the package linux - 4.15.0-19.20

---------------
linux (4.15.0-19.20) bionic; urgency=medium

  * linux: 4.15.0-19.20 -proposed tracker (LP: #1766021)

  * Kernel 4.15.0-15 breaks Dell PowerEdge 12th Gen servers (LP: #1765232)
    - Revert "blk-mq: simplify queue mapping & schedule with each possisble CPU"
    - Revert "genirq/affinity: assign vectors to all possible CPUs"

linux (4.15.0-18.19) bionic; urgency=medium

  * linux: 4.15.0-18.19 -proposed tracker (LP: #1765490)

  * [regression] Ubuntu 18.04:[4.15.0-17-generic #18] KVM Guest Kernel:
    meltdown: rfi/fallback displacement flush not enabled bydefault (kvm)
    (LP: #1765429)
    - powerpc/pseries: Fix clearing of security feature flags

  * signing: only install a signed kernel (LP: #1764794)
    - [Packaging] update to Debian like control scripts
    - [Packaging] switch to triggers for postinst.d postrm.d handling
    - [Packaging] signing -- switch to raw-signing tarballs
    - [Packaging] signing -- switch to linux-image as signed when available
    - [Config] signing -- enable Opal signing for ppc64el
    - [Packaging] printenv -- add signing options

  * [18.04 FEAT] Sign POWER host/NV kernels (LP: #1696154)
    - [Packaging] signing -- add support for signing Opal kernel binaries

  * Please cherrypick s390 unwind fix (LP: #1765083)
    - s390/compat: fix setup_frame32

  * Ubuntu 18.04 installer does not detect any IPR based HDD/RAID array [S822L]
    [ipr] (LP: #1751813)
    - d-i: move ipr to storage-core-modules on ppc64el

  * drivers/gpu/drm/bridge/adv7511/adv7511.ko missing (LP: #1764816)
    - SAUCE: (no-up) rename the adv7511 drm driver to adv7511_drm

  * Miscellaneous Ubuntu changes
    - [Packaging] Add linux-oem to rebuild test blacklist.

linux (4.15.0-17.18) bionic; urgency=medium

  * linux: 4.15.0-17.18 -proposed tracker (LP: #1764498)

  * Eventual OOM with profile reloads (LP: #1750594)
    - SAUCE: apparmor: fix memory leak when duplicate profile load

linux (4.15.0-16.17) bionic; urgency=medium

  * linux: 4.15.0-16.17 -proposed tracker (LP: #1763785)

  * [18.04] [bug] CFL-S(CNP)/CNL GPIO testing failed (LP: #1757346)
    - [Config]: Set CONFIG_PINCTRL_CANNONLAKE=y

  * [Ubuntu 18.04] USB Type-C test failed on GLK (LP: #1758797)
    - SAUCE: usb: typec: ucsi: Increase command completion timeout value

  * Fix trying to "push" an already active pool VP (LP: #1763386)
    - SAUCE: powerpc/xive: Fix trying to "push" an already active pool VP

  * hisi_sas: Revert and replace SAUCE patches w/ upstream (LP: #1762824)
    - Revert "UBUNTU: SAUCE: scsi: hisi_sas: export device table of v3 hw to
      userspace"
    - Revert "UBUNTU: SAUCE: scsi: hisi_sas: config for hip08 ES"
    - scsi: hisi_sas: modify some register config for hip08
    - scsi: hisi_sas: add v3 hw MODULE_DEVICE_TABLE()

  * Realtek card reader - RTS5243 [VEN_10EC&DEV_5260] (LP: #1737673)
    - misc: rtsx: Move Realtek Card Reader Driver to misc
    - updateconfigs for Realtek Card Reader Driver
    - misc: rtsx: Add support for RTS5260
    - misc: rtsx: Fix symbol clashes

  * Mellanox [mlx5] [bionic] UBSAN: Undefined behaviour in
    ./include/linux/net_dim.h (LP: #1...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Stefan Bader (smb) wrote :

Kernel fix arrived in Xenial/16.04 via upstream stable v4.4.128.

Changed in linux (Ubuntu Xenial):
importance: Undecided → Medium
status: New → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-artful' to 'verification-done-artful'. If the problem still exists, change the tag 'verification-needed-artful' to 'verification-failed-artful'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-artful
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial

Hi @mlx,

Could you please test any of the kernels in -proposed to check if they fix the problem?

Thank you.

mlx (myxal-mxl) wrote :

@kleber-souza, I should get to it early next week. Which ubuntu releases do you need? artful and xenial?

Launchpad Janitor (janitor) wrote :
Download full text (59.3 KiB)

This bug was fixed in the package linux - 4.4.0-127.153

---------------
linux (4.4.0-127.153) xenial; urgency=medium

  * CVE-2018-3639 (powerpc)
    - powerpc/pseries: Support firmware disable of RFI flush
    - powerpc/powernv: Support firmware disable of RFI flush
    - powerpc/rfi-flush: Move the logic to avoid a redo into the debugfs code
    - powerpc/rfi-flush: Make it possible to call setup_rfi_flush() again
    - powerpc/rfi-flush: Always enable fallback flush on pseries
    - powerpc/rfi-flush: Differentiate enabled and patched flush types
    - powerpc/rfi-flush: Call setup_rfi_flush() after LPM migration
    - powerpc/pseries: Add new H_GET_CPU_CHARACTERISTICS flags
    - powerpc: Add security feature flags for Spectre/Meltdown
    - powerpc/pseries: Set or clear security feature flags
    - powerpc/powernv: Set or clear security feature flags
    - powerpc/64s: Move cpu_show_meltdown()
    - powerpc/64s: Enhance the information in cpu_show_meltdown()
    - powerpc/powernv: Use the security flags in pnv_setup_rfi_flush()
    - powerpc/pseries: Use the security flags in pseries_setup_rfi_flush()
    - powerpc/64s: Wire up cpu_show_spectre_v1()
    - powerpc/64s: Wire up cpu_show_spectre_v2()
    - powerpc/pseries: Fix clearing of security feature flags
    - powerpc: Move default security feature flags
    - powerpc/pseries: Restore default security feature flags on setup
    - SAUCE: powerpc/64s: Add support for a store forwarding barrier at kernel
      entry/exit

  * CVE-2018-3639 (x86)
    - SAUCE: Clean up IBPB and IBRS control functions and macros
    - SAUCE: Fix up IBPB and IBRS kernel parameters documentation
    - SAUCE: Remove #define X86_FEATURE_PTI
    - x86/cpufeature: Move some of the scattered feature bits to x86_capability
    - x86/cpufeature: Cleanup get_cpu_cap()
    - x86/cpu: Probe CPUID leaf 6 even when cpuid_level == 6
    - x86/cpufeatures: Add CPUID_7_EDX CPUID leaf
    - x86/cpufeatures: Add Intel feature bits for Speculation Control
    - SAUCE: x86/kvm: Expose SPEC_CTRL from the leaf
    - x86/cpufeatures: Add AMD feature bits for Speculation Control
    - x86/msr: Add definitions for new speculation control MSRs
    - SAUCE: x86/msr: Rename MSR spec control feature bits
    - x86/pti: Do not enable PTI on CPUs which are not vulnerable to Meltdown
    - x86/cpufeature: Blacklist SPEC_CTRL/PRED_CMD on early Spectre v2 microcodes
    - x86/speculation: Add basic IBPB (Indirect Branch Prediction Barrier) support
    - x86/speculation: Add <asm/msr-index.h> dependency
    - x86/cpufeatures: Clean up Spectre v2 related CPUID flags
    - x86/cpuid: Fix up "virtual" IBRS/IBPB/STIBP feature bits on Intel
    - SAUCE: x86/speculation: Move vendor specific IBRS/IBPB control code
    - SAUCE: x86: Add alternative_msr_write
    - SAUCE: x86/nospec: Simplify alternative_msr_write()
    - SAUCE: x86/bugs: Concentrate bug detection into a separate function
    - SAUCE: x86/bugs: Concentrate bug reporting into a separate function
    - arch: Introduce post-init read-only memory
    - SAUCE: x86/bugs: Read SPEC_CTRL MSR during boot and re-use reserved bits
    - SAUCE: x86/bugs, KVM: Support the combination of guest a...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.9 KiB)

This bug was fixed in the package linux - 4.13.0-43.48

---------------
linux (4.13.0-43.48) artful; urgency=medium

  * CVE-2018-3639 (powerpc)
    - SAUCE: rfi-flush: update H_CPU_* macro names to upstream
    - SAUCE: rfi-flush: update plpar_get_cpu_characteristics() signature to
      upstream
    - SAUCE: update pseries_setup_rfi_flush() capitalization to upstream
    - powerpc/pseries: Support firmware disable of RFI flush
    - powerpc/powernv: Support firmware disable of RFI flush
    - powerpc/64s: Allow control of RFI flush via debugfs
    - powerpc/rfi-flush: Move the logic to avoid a redo into the debugfs code
    - powerpc/rfi-flush: Always enable fallback flush on pseries
    - powerpc/rfi-flush: Differentiate enabled and patched flush types
    - powerpc/pseries: Add new H_GET_CPU_CHARACTERISTICS flags
    - powerpc: Add security feature flags for Spectre/Meltdown
    - powerpc/powernv: Set or clear security feature flags
    - powerpc/pseries: Set or clear security feature flags
    - powerpc/powernv: Use the security flags in pnv_setup_rfi_flush()
    - powerpc/pseries: Use the security flags in pseries_setup_rfi_flush()
    - powerpc/pseries: Fix clearing of security feature flags
    - powerpc: Move default security feature flags
    - powerpc/pseries: Restore default security feature flags on setup
    - powerpc/64s: Add support for a store forwarding barrier at kernel entry/exit

  * CVE-2018-3639 (x86)
    - SAUCE: Add X86_FEATURE_ARCH_CAPABILITIES
    - SAUCE: x86: Add alternative_msr_write
    - x86/nospec: Simplify alternative_msr_write()
    - x86/pti: Do not enable PTI on CPUs which are not vulnerable to Meltdown
    - x86/bugs: Concentrate bug detection into a separate function
    - x86/bugs: Concentrate bug reporting into a separate function
    - x86/msr: Add definitions for new speculation control MSRs
    - x86/bugs: Read SPEC_CTRL MSR during boot and re-use reserved bits
    - x86/bugs, KVM: Support the combination of guest and host IBRS
    - x86/bugs: Expose /sys/../spec_store_bypass
    - x86/cpufeatures: Add X86_FEATURE_RDS
    - x86/bugs: Provide boot parameters for the spec_store_bypass_disable
      mitigation
    - x86/bugs/intel: Set proper CPU features and setup RDS
    - x86/bugs: Whitelist allowed SPEC_CTRL MSR values
    - x86/bugs/AMD: Add support to disable RDS on Fam[15,16,17]h if requested
    - x86/KVM/VMX: Expose SPEC_CTRL Bit(2) to the guest
    - x86/speculation: Create spec-ctrl.h to avoid include hell
    - prctl: Add speculation control prctls
    - x86/process: Allow runtime control of Speculative Store Bypass
    - x86/speculation: Add prctl for Speculative Store Bypass mitigation
    - nospec: Allow getting/setting on non-current task
    - proc: Provide details on speculation flaw mitigations
    - seccomp: Enable speculation flaw mitigations
    - SAUCE: x86/bugs: Honour SPEC_CTRL default
    - x86/bugs: Make boot modes __ro_after_init
    - prctl: Add force disable speculation
    - seccomp: Use PR_SPEC_FORCE_DISABLE
    - seccomp: Add filter flag to opt-out of SSB mitigation
    - seccomp: Move speculation migitation control to arch code
    - x86/speculation: Make "seccomp" the...

Read more...

Changed in linux (Ubuntu Artful):
status: Fix Committed → Fix Released
kris (ski007) wrote :

all new 4.15.0-X.X kernels have this error :-(

kris (ski007) wrote :

temporary solution......
create and edit:

/lib/systemd/system-sleep/restore_connection
...............
#!/bin/sh
sleep 5
case $1/$2 in
post/*)
sudo systemctl restart network-manager.service
modprobe -r sky2
modprobe sky2
;;
esac
...........give executable rights.............

chmod +x /lib/systemd/system-sleep/restore_connection

but we must finally fix it !!! :-)

Kai-Heng Feng (kaihengfeng) wrote :

kris, please refer to LP: #1798921.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers